Fetch a Message

This operation fetches a single Message using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

messageIdstringRequired

Response

OK
idstringformat: "^comms_message_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a Message.
fromobject
The sender of the Message.
tolist of objects

The list of recipient(s) that the Message was directed to.

  • This list is always of size 1, except for Group Messaging usage, where the number of recipients plus the sender will match the group size.
statusenum

The status of a Message. The status can be one of the following:

  • SCHEDULED The Message is scheduled to be sent by Twilio in the future.

  • QUEUED The Message is queued in Twilio for sending.

  • SENT The Message has been sent by Twilio.

  • DELIVERED The Message has been successfully delivered to the recipient.

  • READ The Message has been read by the recipient.

  • UNDELIVERED The Message was successfully sent by Twilio but have not been delivered to the recipient.

  • FAILED The Message processing failed inside Twilio. Use GET /Messages/Operations/{operationId}/Errors for more details.

  • CANCELED The Message was canceled via API request.

  • GROUP The Message is part of a group communication. To get the status for each Recipient of the group communication, use the Receipts endpoint e.g. GET /Messages/comms_message_01h2xcejqtf2nbrexx3vqjhp41/Receipts

  • INBOUND The Message was received by Twilio from an external source.

relatedlist of objects
A list of resources that are associated with the Message.
tagsmap from strings to strings

Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs.

This field can be templated with Liquid. Specify variables with each recipient for personalization.

createdAtstringformat: "date-time"
The date and time when the entity was created.
updatedAtstringformat: "date-time"
The date and time when the entity was last updated.
scheduledForstring or null

The scheduled send time of the Message. This field is only present if the Message was created with a schedule.

contentobject
The resolved content of the Message.
attemptslist of objects
The list of attempts Twilio executed to process the Message.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error